"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStates = exports.getFilteredCountries = exports.getCountry = exports.getCountries = void 0;
var countries_1 = __importDefault(require("./data/countries"));
var states_1 = __importDefault(require("./data/states"));
var compare = function (country, arg) {
    arg = arg.toLowerCase();
    return (country.code.toLowerCase() === arg || country.name.toLowerCase() === arg || country.dial_code.toLowerCase() === arg);
};
var getCountries = function () {
    return countries_1.default;
};
exports.getCountries = getCountries;
var getCountry = function (arg) {
    var allCountries = exports.getCountries();
    for (var _i = 0, allCountries_1 = allCountries; _i < allCountries_1.length; _i++) {
        var country = allCountries_1[_i];
        if (compare(country, arg)) {
            return country;
        }
    }
    return null;
};
exports.getCountry = getCountry;
var getFilteredCountries = function (args) {
    var allCountries = exports.getCountries();
    var filteredCountries = [];
    for (var _i = 0, args_1 = args; _i < args_1.length; _i++) {
        var arg = args_1[_i];
        for (var _a = 0, allCountries_2 = allCountries; _a < allCountries_2.length; _a++) {
            var country = allCountries_2[_a];
            if (compare(country, arg)) {
                filteredCountries.push(country);
                break;
            }
        }
    }
    return filteredCountries;
};
exports.getFilteredCountries = getFilteredCountries;
var getStates = function (countryCode) {
    try {
        return states_1.default[countryCode];
    }
    catch (error) {
        return 'Invalid country code';
    }
};
exports.getStates = getStates;
